#ifndef _DIRUTIL_H
#define _DIRUTIL_H

#ifndef _GLOBAL_H
#include "global.h"
#endif

struct cur_dirs {
#ifndef TNOS_68K
           int drv;
           char * curdir[27];
#endif
           char * dir;                
} ;

/* In dirutil.c */
FILE *dir __ARGS((char *path,int full));
int filedir __ARGS((char *name,int times,char *ret_str));
int getdir __ARGS((char *path,int full,FILE *file));
void undosify __ARGS((char *s));
char * make_dir_path __ARGS((int count,char *arg,char* curdir));
char * make_fname __ARGS((char * curdir, char * fname));
char * init_dirs __ARGS((struct cur_dirs * dirs));
void free_dirs __ARGS((struct cur_dirs * dirs));
int dir_ok __ARGS((char * path,struct cur_dirs * dirs));


/* In pathname.c: */
char *pathname __ARGS((char *cd,char *path));

/* In pc.c: */
char *Tmpnam __ARGS((char *name));

/* In bmutil.c */
long fsize __ARGS((char *name));

#endif /* _DIRUTIL_H */

